#include "program.hpp"
#include "runner.hpp"
#include <iostream>
#include <queue>
#include <vector>

#include "host.hpp"
#include "config.hpp"



int main() {
	std::vector<sk::host> hosts = sk::config::loadHostsFromToml("../conf.toml");

	if(hosts.empty()){
		std::cerr<<"Pas de host"<<std::endl;
	}

	for(const auto &host : hosts){
		std::cout<<host.getIp() <<" "<<host.getNbConnectionsMax()<<std::endl;
	}

    /*std::queue<sk::program> queue;
    queue.push(sk::program{"echo $(( 1 + 2 ))",
                           "ghcr.io/moshell-lang/moshell:master"});

    sk::runner runner;
    while (!queue.empty()) {
        const sk::program &current = queue.front();
        sk::run_result res = runner.run_blocking(current);
        std::cout << "out: " << res.out << "\n";
        std::cout << "err: " << res.err << "\n";
        queue.pop();
    }*/
    return 0;
}
